<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.ghy</groupId>
    <artifactId>ghy</artifactId>
    <version>1.0.0</version>

    <name>ghy</name>
    <url>http://www.ghy.com</url>
    <description>工圈子后台管理系统</description>
    
    <properties>
        <ghy.version>1.0.0</ghy.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
        <shiro.version>1.8.0</shiro.version>
        <thymeleaf.extras.shiro.version>2.1.0</thymeleaf.extras.shiro.version>
        <druid.version>1.2.8</druid.version>
        <bitwalker.version>1.21</bitwalker.version>
        <kaptcha.version>2.3.2</kaptcha.version>
        <swagger.version>3.0.0</swagger.version>
        <mybatis-spring-boot.version>2.2.0</mybatis-spring-boot.version>
        <pagehelper.boot.version>1.4.0</pagehelper.boot.version>
        <fastjson.version>1.2.79</fastjson.version>
        <oshi.version>5.8.6</oshi.version>
        <jna.version>5.10.0</jna.version>
        <commons.io.version>2.11.0</commons.io.version>
        <commons.fileupload.version>1.4</commons.fileupload.version>
        <poi.version>4.1.2</poi.version>
        <velocity.version>2.3</velocity.version>
        <log4j2.version>2.17.1</log4j2.version>
        <lombok.version>1.18.12</lombok.version>
        <qiniu.version>7.4.0</qiniu.version>
        <gson.version>2.8.5</gson.version>
        <wxpay.version>0.4.3</wxpay.version>
        <Adapay.version>1.2.10</Adapay.version>
        <commons.codec.version>1.10</commons.codec.version>
        <httpcomponents.version>4.5.13</httpcomponents.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>${commons.codec.version}</version>
            </dependency>

            <dependency>
                <groupId>com.google.code.gson</groupId>
                <artifactId>gson</artifactId>
                <version>${gson.version}</version>
            </dependency>

            <dependency>
                <groupId>com.qiniu</groupId>
                <artifactId>qiniu-java-sdk</artifactId>
                <version>${qiniu.version}</version>
            </dependency>

            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>
            <!-- SpringBoot的依赖配置-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>2.5.8</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            
            <!-- 阿里数据库连接池 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>
            
            <!-- 验证码 -->
            <dependency>
                <groupId>com.github.penggle</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <!-- Shiro核心框架 -->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-core</artifactId>
                <version>${shiro.version}</version>
            </dependency>

            <!-- Shiro使用Spring框架 -->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-spring</artifactId>
                <version>${shiro.version}</version>
            </dependency>

            <!-- Shiro使用EhCache缓存框架 -->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-ehcache</artifactId>
                <version>${shiro.version}</version>
            </dependency>

            <!-- thymeleaf模板引擎和shiro框架的整合 -->
            <dependency>
                <groupId>com.github.theborakompanioni</groupId>
                <artifactId>thymeleaf-extras-shiro</artifactId>
                <version>${thymeleaf.extras.shiro.version}</version>
            </dependency>

            <!-- 解析客户端操作系统、浏览器等 -->
            <dependency>
                <groupId>eu.bitwalker</groupId>
                <artifactId>UserAgentUtils</artifactId>
                <version>${bitwalker.version}</version>
            </dependency>

            <!-- SpringBoot集成mybatis框架 -->
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${mybatis-spring-boot.version}</version>
            </dependency>

            <!-- pagehelper 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>

            <!-- 获取系统信息 -->
            <dependency>
                <groupId>com.github.oshi</groupId>
                <artifactId>oshi-core</artifactId>
                <version>${oshi.version}</version>
            </dependency>

            <dependency>
                <groupId>net.java.dev.jna</groupId>
                <artifactId>jna</artifactId>
                <version>${jna.version}</version>
            </dependency>

            <dependency>
                <groupId>net.java.dev.jna</groupId>
                <artifactId>jna-platform</artifactId>
                <version>${jna.version}</version>
            </dependency>

            <!-- Swagger3依赖 -->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-boot-starter</artifactId>
                <version>${swagger.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>io.swagger</groupId>
                        <artifactId>swagger-models</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            <!-- 文件上传工具类 -->
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${commons.fileupload.version}</version>
            </dependency>

            <!-- excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>

            <!-- velocity代码生成使用模板 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <!-- 阿里JSON解析器 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <!-- 汇聚支付 Adapay SDK -->
            <dependency>
                <groupId>com.huifu.adapay.core</groupId>
                <artifactId>adapay-core-sdk</artifactId>
                <version>${Adapay.version}</version>
            </dependency>
            <dependency>
                <groupId>com.huifu.adapay</groupId>
                <artifactId>adapay-java-sdk</artifactId>
                <version>${Adapay.version}</version>
            </dependency>

            <!-- Adapay SDK 需要依赖 httpmime -->
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpmime</artifactId>
                <version>${httpcomponents.version}</version>
            </dependency>

            <!-- Adapay SDK 需要依赖 httpclient -->
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>${httpcomponents.version}</version>
            </dependency>

            <!-- log4j日志组件 -->
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-api</artifactId>
                <version>${log4j2.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-to-slf4j</artifactId>
                <version>${log4j2.version}</version>
            </dependency>

            <!-- 定时任务-->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-quartz</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 代码生成-->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-generator</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 核心模块-->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-framework</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 系统模块-->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-system</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 商品模块-->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-goods</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 订单模块 -->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-order</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 财务模块 -->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-payment</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 消费者模块 -->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-custom</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 师傅模块 -->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-worker</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <!-- 聊天工具-->
<!--            <dependency>-->
<!--                <groupId>com.ghy</groupId>-->
<!--                <artifactId>ghy-message</artifactId>-->
<!--                <version>${ghy.version}</version>-->
<!--            </dependency>-->

            <!-- 通用工具-->
            <dependency>
                <groupId>com.ghy</groupId>
                <artifactId>ghy-common</artifactId>
                <version>${ghy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.github.wechatpay-apiv3</groupId>
                <artifactId>wechatpay-apache-httpclient</artifactId>
                <version>${wxpay.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <modules>
        <module>ghy-admin</module>
        <module>ghy-framework</module>
        <module>ghy-system</module>
        <module>ghy-goods</module>
        <module>ghy-order</module>
        <module>ghy-payment</module>
        <module>ghy-quartz</module>
        <module>ghy-generator</module>
        <module>ghy-common</module>
        <module>ghy-custom</module>
        <module>ghy-worker</module>
<!--        <module>ghy-message</module>-->
    </modules>
    <packaging>pom</packaging>


    <dependencies>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

</project>